<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Обработчик удаления файла большого изображения продавца.
 * 
 * Файл: /admin/shop/action/delete_big_image_seller.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
$shop = & singleton('shop');

$DataBase = & singleton ('DataBase');

$shop_shops_id = to_int($_REQUEST['shop_shops_id']);

$seller_id = to_int($_REQUEST['seller_id']);

// Получаем информацию о продавце
$row = $shop->GetSeller($seller_id);

if ($row)
{
	if (is_dir(CMS_FOLDER . UPLOADDIR))
	{
		
		$image_file = $row['shop_sallers_image'];
		
		// Путь к большой картинке
		$fname = CMS_FOLDER . UPLOADDIR . 'shop_' . $shop_shops_id . '/sellers/' . $image_file;
		
		// Файл большого изображения существует
		if (is_file($fname))
		{	
			// Удаляем файл большого изображения
			@unlink($fname);			
		}
		
		// Удаляем файл из таблицы
		$query = "UPDATE `shop_sallers_table` " .
				"SET  `shop_sallers_image` = ''," .
				"shop_sallers_image_height = 0," .
				"shop_sallers_image_width = 0 " .
				"WHERE shop_sallers_id = $seller_id";
		
		$DataBase->query($query);
	}
	else
	{
		show_error_message($GLOBALS['MSG_shops']['error_dir'] . CMS_FOLDER . UPLOADDIR);
	}
}
?>